#################################################
#
#  (C) 2016 Alexander Golubev
#  fatzer2 (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

add_subdirectory( data )
add_subdirectory( bitmaps )
add_subdirectory( solver )

include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_SOURCE_DIR}/libtdegames
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### kmines (executable) #######################

tde_add_executable( kmines AUTOMOC
  SOURCES kzoommainwindow.cpp defines.cpp highscores.cpp settings.kcfgc
    dialogs.cpp frame.cpp field.cpp status.cpp main.cpp
  LINK tdecore-shared tdeui-shared tdeio-shared solver-static tdegames-shared
  DESTINATION ${BIN_INSTALL_DIR}
)


##### other data ################################

install( FILES kminesui.rc
  DESTINATION ${DATA_INSTALL_DIR}/kmines
)
